function ViewBox(EventManager, ViewMap) {
	var viewsList = document.createElement('select');
	viewsList.appendChild(document.createElement('option'));

	this.addView = function(viewXMLOBj) {
		var title = viewXMLOBj.getAttribute('title');

		var option = document.createElement('option');
		option.appendChild(document.createTextNode(title));
		option.id = 'ViewBoxOption-'+title;
		option.value = viewXMLOBj.firstChild.nodeValue;
		viewsList.appendChild(option);
	}

	this.removeView = function(viewTitle) {
		viewsList.removeChild(document.getElementById('ViewBoxOption-'+viewTitle));
	}

	viewsList.onchange = function() {
		var viewOptions = viewsList.getElementsByTagName('option');
		var circView = convertViewString(viewOptions[viewsList.selectedIndex].value, ViewMap.getMapSize());
		EventManager.changePointScale(circView.Center, circView.Radius);
		for(var i = 0; i < viewOptions.length; i++) {
			viewOptions.selected = false;
		}
		viewOptions[0].selected = true;
	/*
		var circView = convertViewString(allViews[v].firstChild.nodeValue, new Point(500,500));
		Events.changePointScale(circView.Center,circView.Radius);
	*/
	}

	this.setParent = function(p) {
		p.appendChild(document.createTextNode('Jump To:'));
		p.appendChild(viewsList);
	}
}
